Back to Mobile View

Skip to Content

TUAW Deals

Will your machine be able to run iOS 8 or OS X Yosemite?

Now that we have a general idea of what exciting new features will be hitting iOS and OS X devices this fall with the release of iOS 8 and Yosemite, there is one important question left to ask: can my machine run those latest versions of Apple's operating systems? If you're worried about the possible obsolescence of your devices, you're in luck -- we have the answers for you.

If your Apple computer was able to run OS X Mavericks, you will also be able to upgrade to OS X Yosemite. Both operating systems share the same system requirements: 2 GB of RAM and 8 GB of storage. Here is the full list of compatible models:

  • iMac: mid-2007 or newer
  • MacBook Pro: mid-2007 or newer
  • MacBook Air: late 2008 or newer
  • Mac mini: early 2009 or newer
  • Mac Pro: early 2008 or newer
  • MacBook: late 2008 aluminum, early 2009 or newer
  • Xserve: early 2009

If you're an iOS user, you most likely don't need to worry. Every modern iOS device can run iOS 8. For the iPhone, these are the models that will still be supported when 8 launches. In addition, the iPod touch 5th generation will also be supported.

This is only bad news if you're still using the iPhone 4. While this is sure to disappoint some users, try to keep in mind that the iPhone 4 came out on June 7, 2010. It's remarkable that it took four years for the iPhone 4 finally be phased out of iOS updates. Show me an Android phone with that life span.

On the iPad front things are staying largely the same. If your iPad could run iOS 6 or 7, you'll still be able to run iOS 8.

First-generation iPad owners are out of luck, but everyone else is in exactly the same spot they were previously.

So don't worry, faithful Apple users; almost all of us will be getting a nice update this fall. Let's have a moment of silence for the faithful iPhone 4. It has served the community well, and it's time for it to enjoy a nice retirement.

© 2014 AOL Inc. All Rights Reserved.